PUT api/queue/unsubscribe
Request Information
URI Parameters
None.
Body Parameters
UnsubscribeDto| Name | Description | Type | Additional information |
|---|---|---|---|
| PauseCampaignId | globally unique identifier |
None. |
|
| PauseProductIds | Collection of globally unique identifier |
None. |
|
| PauseMonths | integer |
None. |
|
| All | boolean |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| ClientId | globally unique identifier |
None. |
|
| Language | string |
None. |
|
| Reason | string |
None. |
|
| EmailOrTelephone | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"pauseCampaignId": "e39b8b57-097b-411e-aa6d-2be0ec74f7a4",
"pauseProductIds": [
"ebd186b3-23f3-45f2-ac5a-f0e6a228f560",
"ef404b5b-8f63-45ac-b9bb-ef573b833c9f"
],
"pauseMonths": 1,
"all": true,
"personId": "0ecb59b6-b6cc-49a4-a355-ed52f04b9ca3",
"clientId": "922b3c1f-55cc-449c-8c20-b4d2b1a52a61",
"language": "sample string 1",
"reason": "sample string 2",
"emailOrTelephone": "sample string 3"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.